curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/backups \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"count": 2,
"max": 8,
"backups": [
{
"id": "c1a2b3d4-0000-0000-0000-000000000001",
"name": "before-v2-update",
"size_bytes": 45678,
"size_display": "44.6 KB",
"download_url": "https://api.phanomcloud.online/backups/c1a2b3d4.../download?token=...&user=...",
"created_at": "2025-01-15T10:00:00Z",
"can_delete": true
}
]
}
}
Backups
List Backups
Lists all backups for a bot. Maximum of 8 backups per bot.
GET
/
bots
/
{id}
/
backups
curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/backups \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"count": 2,
"max": 8,
"backups": [
{
"id": "c1a2b3d4-0000-0000-0000-000000000001",
"name": "before-v2-update",
"size_bytes": 45678,
"size_display": "44.6 KB",
"download_url": "https://api.phanomcloud.online/backups/c1a2b3d4.../download?token=...&user=...",
"created_at": "2025-01-15T10:00:00Z",
"can_delete": true
}
]
}
}
Path Parameters
string
required
UUID of the bot.
Response
number
Current number of backups.
number
Maximum allowed backups per bot (
8).array
curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/backups \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"count": 2,
"max": 8,
"backups": [
{
"id": "c1a2b3d4-0000-0000-0000-000000000001",
"name": "before-v2-update",
"size_bytes": 45678,
"size_display": "44.6 KB",
"download_url": "https://api.phanomcloud.online/backups/c1a2b3d4.../download?token=...&user=...",
"created_at": "2025-01-15T10:00:00Z",
"can_delete": true
}
]
}
}
⌘I

